Name:           mail-notification
Version:        4.0
Release:        1%{?dist}
Summary:        Status icon that informs you if you have new mail

Group:          Applications/Internet
License:        GPL
URL:            http://www.nongnu.org/mailnotify/
Source0:        http://download.savannah.gnu.org/releases/mailnotify/mail-notification-4.0.tar.gz
Patch0:         mail-notification-fedora-plugin-hint.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext >= 0.14.1
BuildRequires:  eel2-devel >= 2.0
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:  openssl-devel  >= 0.9.5b
BuildRequires:  cyrus-sasl-devel >= 2.0
BuildRequires:  gmime-devel >= 2.1
BuildRequires:  libsoup-devel >= 2.2.1
BuildRequires:  gnutls-devel >= 1.0.20
BuildRequires:  libgcrypt-devel >= 1.2.0
BuildRequires:  libicu-devel >= 2.6
BuildRequires:  perl-XML-Parser
BuildRequires:  gob2
BuildRequires:  evolution-devel 
BuildRequires:  evolution-data-server-devel >= 1.5
BuildRequires:  libnotify-devel

Requires:         hicolor-icon-theme
Requires(post):   GConf2
Requires(post):   scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
Mail Notification is a status icon (aka tray icon) that informs you if you
have new mail. It works with system trays implementing the freedesktop.org
System Tray Specification, such as the GNOME Panel Notification Area, the
Xfce Notification Area and the KDE System Tray.


%package        evolution-plugin
Summary:        Evolution plugin for Mail Notification
Group:          Applications/Internet
#
# make sure the evo plugin get's installed for all users that had the 
# non-split variant of mail-notification (FC5 and earlier) installed before:
Requires:       %{name} = %{version}-%{release}
Obsoletes:	mail-notification < 3.0-4

%description	evolution-plugin
Evolution support for Mail Notification.

%prep
%setup -q
%patch0 -p1 -b .patch0

%build
%configure --disable-schemas-install  --enable-evolution
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor fedora                   \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/gnome/autostart/  \
  --delete-original                                    \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/mail-notification.desktop

desktop-file-install --vendor fedora                   \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --delete-original                                    \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/mail-notification-properties.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
# For GConf apps: install schemas as system default
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:
/usr/bin/scrollkeeper-update -q ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%preun
# For GConf apps: uninstall app's system default schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%postun
/usr/bin/scrollkeeper-update -q ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_sysconfdir}/gconf/schemas/mail-notification.schemas
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_MailNotification.server
%{_datadir}/%{name}
%{_datadir}/gnome/autostart/fedora-mail-notification.desktop
%{_datadir}/applications/fedora-mail-notification-properties.desktop
%{_datadir}/gnome/help/mail-notification/
%dir %{_datadir}/omf/mail-notification/
%{_datadir}/omf/mail-notification/mail-notification-C.omf
%{_datadir}/icons/hicolor/*/apps/mail-notification.*

%files evolution-plugin
%defattr(-,root,root,-)
%{_libdir}/evolution/2.*/plugins/*
%{_libdir}/bonobo/servers/GNOME_MailNotification_Evolution.server


%changelog
* Wed Jan 17 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.0-1
- Update to 4.0 final

* Wed Dec 20 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.0-0.3.rc2
- Rebuild

* Thu Dec 07 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.0-0.2.rc2
- Update to 4.0rc2

* Tue Nov 28 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  4.0-0.1.rc1
- Update to 4.0rc1
- remove some unneeded workarounds and patches
- require hicolor-icon-theme

* Tue Nov 21 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-11
- add mail-notification-mail-reader-launch.patch (#215119, credits go to
  John Conroy)

* Thu Nov 09 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-10
- Update patch

* Sat Nov 04 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-9
- add a patch that informs the user to install the evolution-plugin if
  he want to use mn with evo

* Sun Oct 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-8
- add workaround that hacks configure to allow building with evo 2.10

* Sat Sep 02 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-7
- don't run mail-notification with unset-obsolete-configuration at all

* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-6
- add BR perl-XML-Parser ;-)

* Mon Aug 28 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-5
- Rebuild for devel
- run unset-obsolete-configuration only works when DISPLAY is set; will
  report upstream

* Sat Jul 15 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-4
- Package evolution plugin separately

* Sat Jul 15 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-3
- rebuild for new gail
- send ouput from unset-obsolete-configuration to /dev/null and ignore retval

* Sun Jul 02 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-2
- unset-obsolete-configuration in post

* Wed Jun 14 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-1
- Update to 3.0

* Fri Jun 02 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  3.0-0.1.rc2
- Update to 3.0-rc2 (with some help from Joseph E. Sacco, Ph.D.)

* Tue May 30 2006 Radek Vokal <rvokal@redhat.com> 2.0-13
- fixed for evolution 2.7

* Thu Apr 27 2006 Paul Clifford <paul.clifford+fe[AT]gmail[DOT]com> 2.0-12
- Added patch for IMAP authentication problem from project homepage (#190137)

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>
- Rebuild for Fedora Extras 5

* Mon Jan 30 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-10
- rebuild

* Thu Jan 17 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-9
- fixes for evolution >= 2.5

* Thu Jan 17 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-8
- rebuild

* Thu Nov 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-7
- rebuild against new openssl
- use LDFLAGS and not CFLAGS for fixing #172010

* Sat Nov 05 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-6
- Fix #172010 with export CFLAGS="-Wl,--export-dynamic" for now
- BR evolution-data-server-devel
- Use --disable-schemas-install

* Thu Sep 22 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 2.0-5
- BR evo-devel

* Tue Sep 20 2005 Radek Vokal <rvokal@redhat.com> 2.0-4
- add mail-notification-evolution.patch and enable evo-support

* Sat Sep 03 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.0-3
- rebuild for new icu

* Fri Aug 19 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.0-2
- rebuild

* Wed Aug 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.0-1
- Update to 2.0 -- build without evolution support for now (seems it
  needs the whole evo-source)
- Use dist
- Add two patches
- New BR gob2

* Wed May 18 2005 Colin Charles <colin@fedoraproject.org> - 1.1.-3
- bump release, request build for ppc

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.1-2
- Include mail-notification directory in datadir/omf.

* Mon Mar 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.1-1
- update to 1.1
- remove gmail build option and add new BR libicu-devel

* Tue Nov 25 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.0-0.fdr.1
- update to 1.0

* Tue Nov 16 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.99-0.fdr.1
- update to 0.99
- rename mail-notfication-README.FEDORA to mail-notification-README.FEDORA
- Add BR gnutls-devel and libgcrypt-devel for gmail build

* Tue Nov 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.3
- trim build comment
- own _datadir/gnome/help/mail-notification/
- rename SOURCE1 from README.FEDORA to mail-notfication-README.FEDORA


* Sat Nov 06 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.2
- Really remove "killall bonobo-activation-server"; Add a README.FEDORA
  which descibes the problem.
- Spilt post,preun,postun sections
- Use --with gmail to build for FC3 with gmail-support

* Thu Nov 04 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.1-0.fdr.1
- Update to 0.8.1

* Thu Nov 04 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.8.0-0.fdr.1
- Update to 0.8.0

* Sun Oct 28 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.7.1-0.fdr.1
- Update to 0.7.1
- BR gettext

* Sun Oct 17 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.7.0-0.fdr.1
- Update to 0.7.0
- Add gmime dependency
- No gmailsupport until FC3
- Removed "killall bonobo-activation-server" again -- bad idea it seems

* Tue Sep 14 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.6.2-0.fdr.1
- Update to 0.6.2
- After talkback with program author added "killall bonobo-activation-server"
  to post section

* Sun Aug 29 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.6.1-0.fdr.1
- Initial RPM release.
